JULIUSLIB=../lib
JULIUSINC=../include
JULIUSBIN=../bin

CC=gcc
CFLAGS=-g -O2 

CPPFLAGS=-I$(JULIUSINC)  `$(JULIUSBIN)/libsent-config --cflags` `$(JULIUSBIN)/libjulius-config --cflags`
LDFLAGS= -L$(JULIUSLIB) -ljulius -lsent `$(JULIUSBIN)/libsent-config --libs` `$(JULIUSBIN)/libjulius-config --libs`

############################################################

all: julius-simple

julius-simple: julius-simple.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -o julius-simple julius-simple.c $(LDFLAGS)

clean:
	$(RM) *.o *.bak *~ core TAGS

distclean:
	$(RM) *.o *.bak *~ core TAGS
	$(RM) julius-simple
